package com.kingdee.eas.custom.calcdailypay.task;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;



public abstract class AbstractCalcDailyPayFacadeControllerBean extends AbstractBizControllerBean implements CalcDailyPayFacadeController
{
    protected AbstractCalcDailyPayFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("3DA4F375");
    }

    public void calculate(Context ctx, int preCalcDays) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("37e70c84-39f7-4e09-b6e0-1b1a1de709bf"), new Object[]{ctx, new Integer(preCalcDays)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _calculate(ctx, preCalcDays);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _calculate(Context ctx, int preCalcDays) throws BOSException, EASBizException
    {    	
        return;
    }

    public void sendSalary(Context ctx, int preCalcDays) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("ad2ef547-b54e-4f24-92e4-1e3cc00e31f0"), new Object[]{ctx, new Integer(preCalcDays)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _sendSalary(ctx, preCalcDays);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _sendSalary(Context ctx, int preCalcDays) throws BOSException, EASBizException
    {    	
        return;
    }

    public void calculateOverall(Context ctx, int preCalcDays) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("f71726c0-ca7a-40e6-892a-d6d3f97eaf81"), new Object[]{ctx, new Integer(preCalcDays)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _calculateOverall(ctx, preCalcDays);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _calculateOverall(Context ctx, int preCalcDays) throws BOSException, EASBizException
    {    	
        return;
    }

}